#pragma once


// CDlgService 对话框

class CDlgService : public CDialogEx
{
	DECLARE_DYNAMIC(CDlgService)

public:
	CDlgService(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CDlgService();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DLG_SERVICE };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	CListCtrl m_listDevices;
	CListCtrl m_listTask;
	afx_msg void OnPaint();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);

	// 初始化控件;
	void InitCtrl();
	// 为控件填数据;
	void FillData2Ctrl();
	CMFCButton m_btnModify;
	CMFCButton m_btnAddAndroid;
	afx_msg void OnBnClickedModifyRunnerName();
	afx_msg void OnBnClickedAddAndroid();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
